org.apache.geode.cache.configuration

## Class RegionAttributesType.RegionTimeToLive

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.RegionTimeToLive

- Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.RegionTimeToLive
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="expiration-attributes" type="{http://geode.apache.org/schema/cache}expiration-attributes-type"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ExpirationAttributesType` | `expirationAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionTimeToLive()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpirationAttributesType` | `getExpirationAttributes()` Gets the value of the expirationAttributes property.
    `void` | `setExpirationAttributes(ExpirationAttributesType value)` Sets the value of the expirationAttributes property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### expirationAttributes

          protected ExpirationAttributesType expirationAttributes

  - ### Constructor Detail

    - #### RegionTimeToLive

          public RegionTimeToLive()

  - ### Method Detail

    - #### getExpirationAttributes

          public ExpirationAttributesType getExpirationAttributes()

      Gets the value of the expirationAttributes property.
      Returns:
        possible object is `ExpirationAttributesType`

    - #### setExpirationAttributes

          public void setExpirationAttributes(ExpirationAttributesType value)

      Sets the value of the expirationAttributes property.
      Parameters:
        `value` - allowed object is `ExpirationAttributesType`